#include <bits/stdc++.h>
#define ll long long

using namespace std;

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0);

    int n;
    cin >> n;
    vector<ll> x(n+1),y(n+1),z(n+1);//,scen(1e5+1);

    map<ll, ll> scen;

    for(int i=1; i<=n; i++) cin >> x[i];
    for(int i=1; i<=n; i++) cin >> y[i];
    for(int i=1; i<=n; i++) cin >> z[i];

    sort(x.begin(), x.end());

    ll a=0;
    for(int i=1; i<=n; i++) {
        if(scen[x[i]]) a += scen[x[i]];
        else {
            //cout << x[i] << endl;
            for(int j=1; j<=n; j++) {
                if(x[i] == y[z[j]]) {
                    a += 1;
                    scen[x[i]]++;
                }
            }
        }
    }

    cout << a << endl;
    return 0;
}